﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace XDGApplyThemeAtRuntime
{
	public class DataPresenterExtensions
	{
		#region HighlightLabelPresenterStyle
		public static Style GetHighlightLabelPresenterStyle(DependencyObject obj)
		{
			return (Style)obj.GetValue(HighlightLabelPresenterStyleProperty);
		}

		public static void SetHighlightLabelPresenterStyle(DependencyObject obj, Style value)
		{
			obj.SetValue(HighlightLabelPresenterStyleProperty, value);
		}

		public static readonly DependencyProperty HighlightLabelPresenterStyleProperty =
			DependencyProperty.RegisterAttached("HighlightLabelPresenterStyle", typeof(Style), typeof(DataPresenterExtensions), new PropertyMetadata(null));

		#endregion //HighlightLabelPresenterStyle	

		#region HighlightCellValuePresenterStyle
		public static Style GetHighlightCellValuePresenterStyle(DependencyObject obj)
		{
			return (Style)obj.GetValue(HighlightCellValuePresenterStyleProperty);
		}

		public static void SetHighlightCellValuePresenterStyle(DependencyObject obj, Style value)
		{
			obj.SetValue(HighlightCellValuePresenterStyleProperty, value);
		}

		public static readonly DependencyProperty HighlightCellValuePresenterStyleProperty =
			DependencyProperty.RegisterAttached("HighlightCellValuePresenterStyle", typeof(Style), typeof(DataPresenterExtensions), new PropertyMetadata(null));

		#endregion //HighlightCellValuePresenterStyle	
	}
}
